# samples/04_video_dec_gie/video_dec_gie.h File Reference

`#include "NvVideoDecoder.h"`
`#include "NvVideoConverter.h"`
`#include "EGL/egl.h"`
`#include "EGL/eglext.h"`
`#include <queue>`
`#include <fstream>`
`#include <pthread.h>`
`#include "gie_inference.h"`
`#include "nvosd.h"`

Go to the source code of this file.

## Classes

struct | Shared_Buffer
struct | context_t
struct | display_resolution_t

## Functions

int | parseCsvArgs (context_t *ctx, GIE_Context *gie_ctx, int argc, char *argv[])

## Function Documentation

int parseCsvArgs | ( | context_t * | ctx,
|  | GIE_Context * | gie_ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 97 of file video_dec_gie_csvparser.cpp.